'use strict';

Object.defineProperty(exports, '__esModule', { value: true });

var utilities = require('@uifabric/utilities');
var ReactDOM = require('react-dom');
var React = require('react');

function _interopNamespace(e) {
  if (e && e.__esModule) return e;
  var n = Object.create(null);
  if (e) {
    Object.keys(e).forEach(function (k) {
      if (k !== 'default') {
        var d = Object.getOwnPropertyDescriptor(e, k);
        Object.defineProperty(n, k, d.get ? d : {
          enumerable: true,
          get: function () {
            return e[k];
          }
        });
      }
    });
  }
  n['default'] = e;
  return Object.freeze(n);
}

var ReactDOM__namespace = /*#__PURE__*/_interopNamespace(ReactDOM);
var React__namespace = /*#__PURE__*/_interopNamespace(React);

const getRootClassNames = () => utilities.classNamesFunction();

const PortalBody = ({
  children
}) => /*#__PURE__*/ReactDOM__namespace.createPortal(children, document.body);

const getStyledNodeStyles = ({
  className
}) => {
  return {
    root: [className, {// Insert css properties
    }]
  };
};

const getClassNames$1 = getRootClassNames();
/**
 * StyledElement with no default styles.
 * [Use the `styles` API to add your own styles.](https://github.com/OfficeDev/office-ui-fabric-react/wiki/Component-Styling)
 */

const StyledElementBase = ({
  attributes,
  children,
  className,
  styles,
  as: Tag = 'div',
  nodeProps
}) => {
  const classNames = getClassNames$1(styles, {
    className
  });
  return /*#__PURE__*/React__namespace.createElement(Tag, Object.assign({}, attributes, {
    className: classNames.root
  }, nodeProps), children);
};
const StyledElement = utilities.styled(StyledElementBase, getStyledNodeStyles, undefined, {
  scope: 'StyledElement'
});

const getClassNames = getRootClassNames();
/**
 * StyledLeaf with no default styles.
 * [Use the `styles` API to add your own styles.](https://github.com/OfficeDev/office-ui-fabric-react/wiki/Component-Styling)
 */

const StyledLeafBase = ({
  children,
  className,
  styles,
  as: Tag = 'span',
  nodeProps
}) => {
  const classNames = getClassNames(styles, {
    className
  });
  return /*#__PURE__*/React__namespace.createElement(Tag, Object.assign({
    className: classNames.root
  }, nodeProps), children);
};
const StyledLeaf = utilities.styled(StyledLeafBase, getStyledNodeStyles, undefined, {
  scope: 'StyledLeaf'
});

exports.PortalBody = PortalBody;
exports.StyledElement = StyledElement;
exports.StyledElementBase = StyledElementBase;
exports.StyledLeaf = StyledLeaf;
exports.StyledLeafBase = StyledLeafBase;
exports.getRootClassNames = getRootClassNames;
exports.getStyledNodeStyles = getStyledNodeStyles;
//# sourceMappingURL=index.js.map
